%define major 1
%define libnameold %mklibname selinux 1
%define libname    %mklibname selinux %{major}
%define libnamedevel %mklibname selinux -d
%define libnamestaticdevel %mklibname selinux -d -s
%define libsepolver 2.5

Name:           libselinux
Version:        2.5
Release:        %mkrel 1
Summary:        SELinux library and simple utilities
License:        Public Domain
Group:          System/Libraries
URL:            http://oss.tresys.com/git/selinux.git
Source0:        http://oss.tresys.com/git/selinux.git/%{name}-%{version}.tar.xz
Source1:        selinuxconlist.8
Source2:        selinuxdefcon.8
BuildRequires:  sepol-static-devel >= %{libsepolver}
BuildRequires:  pkgconfig(python2)
BuildRequires:  python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3
BuildRequires:  pcre-devel
BuildRequires:  swig
BuildRequires:  ruby-devel 
BuildRequires:	lzma-devel
BuildRequires:  ruby

%description
Security-enhanced Linux is a patch of the Linux® kernel and a
number of utilities with enhanced security functionality designed
to add mandatory access controls to Linux. The Security-enhanced
Linux kernel contains new architectural components originally
developed to improve the security of the Flask operating system.
These architectural components provide general support for the
enforcement of many kinds of mandatory access control policies,
including those based on the concepts of Type Enforcement®,
Role-based Access Control, and Multi-level Security.

libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions. Required for any applications that use the SELinux API.

%package -n %{libname}
Summary:        SELinux library and simple utilities
Group:          System/Libraries
Requires(pre):  filesystem
Provides:       libselinux = %{version}-%{release}
Provides:       selinux = %{version}-%{release}

%description -n %{libname}
libselinux provides an API for SELinux applications to get and set
process and file security contexts and to obtain security policy
decisions. Required for any applications that use the SELinux API.

%package -n %{libnamedevel}
Summary:        Development libraries and header files for %{name}
Group:          Development/Libraries
Requires(pre):  filesystem
Requires:       %{libname} = %{version}-%{release}
Provides:       libselinux-devel = %{version}-%{release}
Provides:       selinux-devel = %{version}-%{release}
Obsoletes:      %{libnameold}-devel < %{version}-%{release}

%description -n %{libnamedevel}
The selinux-devel package contains the libraries and header
files needed for developing SELinux applications.

%package -n %{libnamestaticdevel}
Summary:        Static development libraries for %{name}
Group:          Development/C
Provides:       selinux-static-devel = %{version}-%{release}
Requires:       %{libnamedevel} = %{version}-%{release}

%description -n %{libnamestaticdevel}
The selinux-static-devel package contains the static libraries
needed for developing SELinux applications.

%package utils
Summary:        Utilities for %{name}
Group:          System/Kernel and hardware
Requires(pre):  filesystem

%description utils
This package contains numerous applications utilizing %{name}.

%package    python
Summary:        Python bindings for %{name}
Group:          Development/Python
Provides:       python-selinux = %{name}-%{version}
Obsoletes:      python-selinux < %{version}-%{release}
BuildRequires:  python

%description python
This package contains python bindings for %{name}.

%package    python3
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
Provides:       python3-selinux = %{name}-%{version}
Obsoletes:      python3-selinux < %{version}-%{release}
BuildRequires:  python3

%description  python3
This package contains python 3 bindings for %{name}.

%prep
%setup -q

%build
# Taken from Fedora
# To support building the Python wrapper against multiple Python runtimes
# Define a function, for how to perform a "build" of the python wrapper against
# a specific runtime:
BuildPythonWrapper() {
  BinaryName=$1

  # Perform the build from the upstream Makefile:
  %make \
    PYTHON=$BinaryName \
    LIBDIR="%{_libdir}" CFLAGS="-g %{optflags}" \
    pywrap
}

make clean
%make LIBDIR="%{_libdir}" CFLAGS="-g %{optflags}"  swigify
%make LIBDIR="%{_libdir}" CFLAGS="-g %{optflags}"  all

BuildPythonWrapper %{__python2}

BuildPythonWrapper %{__python3}

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_mandir}/man3
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man3/
install -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man3/

# (cg) needed to link during make install :s
cp %{_libdir}/libsepol.a %{buildroot}%{_libdir}

InstallPythonWrapper() {
  BinaryName=$1

%make \
    PYTHON=$BinaryName \
    DESTDIR=%{buildroot} \
    LIBDIR="%{buildroot}%{_libdir}" \
    SHLIBDIR="%{buildroot}%{_libdir}" \
    install pywrap install-pywrap
}

InstallPythonWrapper %{__python2}

InstallPythonWrapper %{__python3}

pushd %{buildroot}%{_libdir}
ln -sf libselinux.so.%{major} libselinux.so
popd

# (cg) No longer needed now
rm -f %{buildroot}%{_libdir}/libsepol.a

%files -n %{libname}
%{_libdir}/libselinux.so.%{major}

%files utils
%doc ChangeLog LICENSE
%{_sbindir}/*
%{_mandir}/man?/*

%files -n %{libnamedevel}
%{_includedir}/selinux/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libselinux.pc

%files -n %{libnamestaticdevel}
%{_libdir}/*.a

%files  python
%{python2_sitearch}/selinux/

%files  python3
%{python3_sitearch}/selinux/


%changelog
* Thu Jul 20 2017 bb2 <bb2> - 2.5-1pclos2017
- import
